[package]
name = "lib"
version = "0.1.0"
authors = ["Fredrik Fossum"]
edition = "2018"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[[bin]]
name = "main"
path = "src/main.rs"

[[bin]]
name = "generate-ts"
path = "src/bin/generate_ts.rs"

[dependencies]
actix-web = "4.0.0-beta.10"
actix-rt = "2.3.0"
serde = { version = "1.0.114", features = ["derive"] }
serde_json = "1.0.57"
serde_repr = "0.1.6"
rand = "0.8.4"
rand_pcg = "0.3.1"
typescript-definitions = "0.1.10"
syn = { version = "0.15.44", features = ["extra-traits"] }
